Infrastructure - Bug #7285

v2 MN calling /v2/replica against a vi MN
2015-07-31 21:03 - Andrei Buium

Status: Closed Start date: 2015-07-31
Priority: Normal Due date:

Assignee: Jing Tao % Done: 100%
Category: Metacat Estimated time: 0.00 hour
Target version: CCl-2.0.0

Milestone: None Story Points:

Product Version: *

Description

While looking into whether an object was replicating correctly in the DEV environment, | saw this in the mnDemo5 catalina.out:

HTTP Verb: GET

original pathinfo: /v2/replica/testV1CreateV2GetSysmeta_201520595947159

original requestURI: /knb/d1/mn/v2/replica/testV1CreateV2GetSysmeta_201520595947159

stripping /knb/d1/mn from requestURI

new pathinfo: /v2/replica/testV1CreateV2GetSysmeta_201520595947159

metacat 20150731-05:56:27: [ERROR]: D1ResourceHandler: Serializing exception with code 500: Unknown error, status = false
[edu.ucsb.nceas.metacat.restservice.D1ResourceHandler]

org.dataone.service.exceptions.ServiceFailure: Unknown error, status = false

at edu.ucsb.nceas.metacat.restservice.MNResourceHandler.handle(MNResourceHandler.java:433)

at edu.ucsb.nceas.metacat.restservice.D1RestServlet.doGet(D1RestServlet.java:75)

This is a request from mnDemo6 or mnDemo8 trying to fetch a replica from mnDemo5, but using the v2 endpoint!
It should use the v1 endpoint for a v1 node.

History

#1 - 2015-08-08 00:04 - Jing Tao
- Status changed from New to Closed

- % Done changed from 0 to 100

Added the code to check if the MN.ping(version2) works. If it doesn't, make a try to call mn.getReplica(version 1).
| upgraded both mn-demo- 6 and mn-demo-8 and Andrei ran the test. The test worked.
